% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/extractors.R
\name{cluster_selector}
\alias{cluster_selector}
\title{Finding chosen cluster names}
\usage{
cluster_selector(clustering, clusters = NULL)
}
\arguments{
\item{clusters}{<\code{\link[dplyr:dplyr_tidy_select]{tidy-select}}> An unquoted
expression naming the cluster or clusters in \code{object} one wants to
see summaries of. Names can be used as if they were positions in the data
frame, so expressions like I:IV can be used to select a range of clusters.

The default \code{NULL} selects all clusters in the chosen clusterings of
\code{object}.}
}
\value{
A character vector with the names of the chosen clusters.
}
\description{
The \code{cluster_selector()} function finds the name of the chosen clusters.
}
\details{
The \code{cluster_selector()} finds the names of the chosen clusters present in
the \code{clustering} <\code{medic}> object. This function is used in all of
the investigative functions called by \code{\link[=summary]{summary()}}.
}
\seealso{
\code{\link[=method_selector]{method_selector()}} is another selector method used through out
the package.
}
\keyword{internal}
